net.minecraft.stats

## Class AchievementList

- java.lang.Object
- - net.minecraft.stats.AchievementList

-     public class AchievementList
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List` | `achievementList` Holds a list of all registered achievements.
    `static Achievement` | `acquireIron` Is the 'acquire hardware' achievement.
    `static Achievement` | `bakeCake` Is the 'the lie' achievement.
    `static Achievement` | `blazeRod` Is the 'Into Fire' achievement
    `static Achievement` | `bookcase` Is the 'Librarian' achievement
    `static Achievement` | `buildBetterPickaxe` Is the 'getting a upgrade' achievement.
    `static Achievement` | `buildFurnace` Is the 'hot topic' achievement.
    `static Achievement` | `buildHoe` Is the 'time to farm' achievement.
    `static Achievement` | `buildPickaxe` Is the 'time to mine' achievement.
    `static Achievement` | `buildSword` Is the 'time to strike' achievement.
    `static Achievement` | `buildWorkBench` Is the 'benchmarking' achievement.
    `static Achievement` | `cookFish` Is the 'delicious fish' achievement.
    `static Achievement` | `diamonds` Is the 'DIAMONDS!' achievement
    `static Achievement` | `enchantments` Is the 'Enchanter' achievement
    `static Achievement` | `flyPig` Is the 'when pig fly' achievement.
    `static Achievement` | `ghast` Is the 'Return to Sender' achievement
    `static Achievement` | `killCow` is the 'cow tipper' achievement.
    `static Achievement` | `killEnemy` Is the 'monster hunter' achievement.
    `static Achievement` | `makeBread` Is the 'bake bread' achievement.
    `static int` | `maxDisplayColumn` Is the biggest column used to display a achievement on the GUI.
    `static int` | `maxDisplayRow` Is the biggest row used to display a achievement on the GUI.
    `static int` | `minDisplayColumn` Is the smallest column used to display a achievement on the GUI.
    `static int` | `minDisplayRow` Is the smallest row used to display a achievement on the GUI.
    `static Achievement` | `mineWood` Is the 'getting wood' achievement.
    `static Achievement` | `onARail` Is the 'on a rail' achievement
    `static Achievement` | `openInventory` Is the 'open inventory' achievement.
    `static Achievement` | `overkill`
    `static Achievement` | `portal` Is the 'We Need to Go Deeper' achievement
    `static Achievement` | `potion` Is the 'Local Brewery' achievement
    `static Achievement` | `snipeSkeleton` The achievement for killing a Skeleton from 50 meters aways.
    `static Achievement` | `theEnd` Is the 'The End?' achievement
    `static Achievement` | `theEnd2` Is the 'The End.' achievement

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AchievementList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `init()` A stub functions called to make the static initializer for this class run.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minDisplayColumn

          public static int minDisplayColumn

      Is the smallest column used to display a achievement on the GUI.

    - #### minDisplayRow

          public static int minDisplayRow

      Is the smallest row used to display a achievement on the GUI.

    - #### maxDisplayColumn

          public static int maxDisplayColumn

      Is the biggest column used to display a achievement on the GUI.

    - #### maxDisplayRow

          public static int maxDisplayRow

      Is the biggest row used to display a achievement on the GUI.

    - #### achievementList

          public static List achievementList

      Holds a list of all registered achievements.

    - #### openInventory

          public static Achievement openInventory

      Is the 'open inventory' achievement.

    - #### mineWood

          public static Achievement mineWood

      Is the 'getting wood' achievement.

    - #### buildWorkBench

          public static Achievement buildWorkBench

      Is the 'benchmarking' achievement.

    - #### buildPickaxe

          public static Achievement buildPickaxe

      Is the 'time to mine' achievement.

    - #### buildFurnace

          public static Achievement buildFurnace

      Is the 'hot topic' achievement.

    - #### acquireIron

          public static Achievement acquireIron

      Is the 'acquire hardware' achievement.

    - #### buildHoe

          public static Achievement buildHoe

      Is the 'time to farm' achievement.

    - #### makeBread

          public static Achievement makeBread

      Is the 'bake bread' achievement.

    - #### bakeCake

          public static Achievement bakeCake

      Is the 'the lie' achievement.

    - #### buildBetterPickaxe

          public static Achievement buildBetterPickaxe

      Is the 'getting a upgrade' achievement.

    - #### cookFish

          public static Achievement cookFish

      Is the 'delicious fish' achievement.

    - #### onARail

          public static Achievement onARail

      Is the 'on a rail' achievement

    - #### buildSword

          public static Achievement buildSword

      Is the 'time to strike' achievement.

    - #### killEnemy

          public static Achievement killEnemy

      Is the 'monster hunter' achievement.

    - #### killCow

          public static Achievement killCow

      is the 'cow tipper' achievement.

    - #### flyPig

          public static Achievement flyPig

      Is the 'when pig fly' achievement.

    - #### snipeSkeleton

          public static Achievement snipeSkeleton

      The achievement for killing a Skeleton from 50 meters aways.

    - #### diamonds

          public static Achievement diamonds

      Is the 'DIAMONDS!' achievement

    - #### portal

          public static Achievement portal

      Is the 'We Need to Go Deeper' achievement

    - #### ghast

          public static Achievement ghast

      Is the 'Return to Sender' achievement

    - #### blazeRod

          public static Achievement blazeRod

      Is the 'Into Fire' achievement

    - #### potion

          public static Achievement potion

      Is the 'Local Brewery' achievement

    - #### theEnd

          public static Achievement theEnd

      Is the 'The End?' achievement

    - #### theEnd2

          public static Achievement theEnd2

      Is the 'The End.' achievement

    - #### enchantments

          public static Achievement enchantments

      Is the 'Enchanter' achievement

    - #### overkill

          public static Achievement overkill

    - #### bookcase

          public static Achievement bookcase

      Is the 'Librarian' achievement

  - ### Constructor Detail

    - #### AchievementList

          public AchievementList()

  - ### Method Detail

    - #### init

          public static void init()

      A stub functions called to make the static initializer for this class run.